After
Date: 2015-09-18

org.mockito.verification

## Class After

- java.lang.Object
- - org.mockito.verification.VerificationWrapper<VerificationOverTimeImpl>
  - - org.mockito.verification.After

- All Implemented Interfaces:
    VerificationAfterDelay, VerificationMode

      public class After
      extends VerificationWrapper<VerificationOverTimeImpl>
      implements VerificationAfterDelay

  See the javadoc for `VerificationAfterDelay`

  Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

- - ### Field Summary

    - ### Fields inherited from class org.mockito.verification.VerificationWrapper

      `wrappedVerification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `After(long pollingPeriod, long delayMillis, VerificationMode verificationMode)`
    `After(long delayMillis, VerificationMode verificationMode)` See the javadoc for `VerificationAfterDelay`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected VerificationMode` | `copySelfWithNewVerificationMode(VerificationMode verificationMode)`

    - ### Methods inherited from class org.mockito.verification.VerificationWrapper

      `atLeast, atLeastOnce, atMost, never, only, times, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.mockito.verification.VerificationAfterDelay

      `atLeast, atLeastOnce, atMost, never, only, times`

    - ### Methods inherited from interface org.mockito.verification.VerificationMode

      `verify`

- - ### Constructor Detail

    - #### After

          public After(long delayMillis,
               VerificationMode verificationMode)

      See the javadoc for `VerificationAfterDelay`

      Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

    - #### After

          public After(long pollingPeriod,
               long delayMillis,
               VerificationMode verificationMode)

  - ### Method Detail

    - #### copySelfWithNewVerificationMode

          protected VerificationMode copySelfWithNewVerificationMode(VerificationMode verificationMode)

      Specified by:
        `copySelfWithNewVerificationMode` in class `VerificationWrapper<VerificationOverTimeImpl>`